#include<iostream>
using namespace std;

int main(){
    long long a,b,L,br=0;
    cin>>a>>b>>L;
    long long ost=L/(a+b);
    br=ost;
    for(int i=1;i<=ost;i++){
        if(((i*a)+((i+1)*b))<=L){
            br++;
        }
        if(((i+1)*a)+(i*b)<=L){
            br++;
        }
    }
        cout<<L-br<<endl;
return 0;
}

